import request from '@/utils/request'

//选择复查指标提交
export function selectCheckTarget(data) {
  return request({
    url: '/backstage/job/selectCheckTarget',
    method: 'put',
    data: data
  })
}

// 获取复查指标列表
export function getCheckTarget(id) {
  return request({
    url: '/backstage/job/getCheckTarget/' + id,
    method: 'get',
  })
}

//选择整改指标提交
export function selectRectifyTarget(data) {
  return request({
    url: '/backstage/job/selectRectifyTarget',
    method: 'put',
    data: data
  })
}

// 获取整改指标列表
export function getRectifyTarget(id) {
  return request({
    url: '/backstage/job/getRectifyTarget/' + id,
    method: 'get',
  })
}

// 获取相关联指标列表
export function getTargetList(id) {
  return request({
    url: '/backstage/job/getTargetList/' + id,
    method: 'get',
  })
}

//派发整改任务
export function distributeRectificationJob(id) {
  return request({
    url: '/backstage/job/distributeRectificationJob/'+id,
    method: 'put',
  })
}

//打回初次调查任务（复查任务不需要打回）
export function rollbackJob(data) {


  return request({
    url: '/backstage/job/rollbackJob',
    method: 'put',
    data: data
  })
}

//审核初次调查任务（复查任务不需要审核）
export function auditJob(id) {
  return request({
    url: '/backstage/job/auditJob/'+id,
    method: 'put',
  })
}

// 查询整改任务列表
export function getList(query) {
  return request({
    url: '/backstage/job/getList',
    method: 'get',
    params: query
  })
}

// 查询整改任务列表
export function listJob(query) {
  return request({
    url: '/backstage/job/list',
    method: 'get',
    params: query
  })
}

// 查询整改任务详细
export function getJob(id) {
  return request({
    url: '/backstage/job/' + id,
    method: 'get'
  })
}

// 新增整改任务
export function addJob(data) {
  return request({
    url: '/backstage/job',
    method: 'post',
    data: data
  })
}

// 修改整改任务
export function updateJob(data) {
  return request({
    url: '/backstage/job',
    method: 'put',
    data: data
  })
}

// 删除整改任务
export function delJob(id) {
  return request({
    url: '/backstage/job/' + id,
    method: 'delete'
  })
}

// 导出整改任务
export function exportJob(query) {
  return request({
    url: '/backstage/job/export',
    method: 'get',
    params: query
  })
}
